<?xml version="1.0" encoding="UTF-8" ?>
<!-- $Id: postprocess-dmlcz-references.xsl 1164 2009-01-04 20:07:26Z michalr $ -->
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    
    <!-- Output setup. -->
    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
    
    <!-- Identical transformation is default behaviour. -->
    <xsl:template match="@*|*|processing-instruction()|comment()">
        <xsl:copy>
            <xsl:apply-templates select="*|@*|text()|processing-instruction()|comment()"/>
        </xsl:copy>
    </xsl:template>

    <!-- Extract root element. -->
    <xsl:template match="/*">
        <!-- Remove namespace attribute from root element. -->
        <xsl:element name="{local-name()}">
            <xsl:apply-templates select="*|@*|text()|processing-instruction()|comment()"/>
        </xsl:element>
    </xsl:template>

    <!-- Substitute zero ZBL by empty element. -->
    <xsl:template match="//ZBL[text()=0]">
        <xsl:element name="ZBL"/>
    </xsl:template>

</xsl:transform>
