<?xml version="1.0" encoding="UTF-8" ?>
<!-- $Id: dmlcz-references-fix-prefix.xsl 1164 2009-01-04 20:07:26Z michalr $ -->
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    
    <!-- Output setup. -->
    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
    
    <!-- Identical transformation is default behaviour. -->
    <xsl:template match="@*|*|processing-instruction()|comment()">
        <xsl:copy>
            <xsl:apply-templates select="*|@*|text()|processing-instruction()|comment()"/>
        </xsl:copy>
    </xsl:template>

    <!-- Extract root element. -->
    <xsl:template match="/">
        <xsl:apply-templates select="*|@*|text()|processing-instruction()|comment()"/>
    </xsl:template>

    <!-- Substitute reference prefix by ordinal number. -->
    <xsl:template match="//reference/prefix">
        <prefix>
            <xsl:text>[</xsl:text>
            <xsl:value-of select="../@id"/>
            <xsl:text>]</xsl:text>
        </prefix>
    </xsl:template>

</xsl:transform>
